Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2016173002: Convert execCommand/unlink.html to use w3c test harness (Closed)

Created:
4 years, 3 months ago by yosin_UTC9
Modified:
4 years, 3 months ago
Reviewers:
yoichio
CC:
blink-reviews, chromium-reviews
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Convert execCommand/unlink.html to use w3c test harness This patch converts "execCommand/unlink.html" to use w3c test harness with |assert_selection()| to simplify for code and improve code health. This patch also updates |assert_selection()| to serialize selection correctly when anchor node and focus node aren't |Text| node, and adds sanity check for expected text. This patch is a preparation of committing crrev.com/2001083002, Make FrameSelection to track associated Document. BUG=n/a TEST=n/a; no behavior changes Committed: https://crrev.com/786659dee62e423b2a5f7f88ce8a087e8de18986 Cr-Commit-Position: refs/heads/master@{#396791}

Patch Set 1 : 2016-05-27T10:53:59 #

Total comments: 2

Patch Set 2 : 2016-05-27T18:50:31 #

Total comments: 4

Patch Set 3 : 2016-05-30T13:33:29 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+39 lines, -181 lines) Patch
M third_party/WebKit/LayoutTests/editing/execCommand/unlink.html View 1 1 chunk +39 lines, -89 lines 0 comments Download
D third_party/WebKit/LayoutTests/editing/execCommand/unlink-expected.txt View 1 chunk +0 lines, -46 lines 0 comments Download
D third_party/WebKit/LayoutTests/platform/win/editing/execCommand/unlink-expected.txt View 1 chunk +0 lines, -46 lines 0 comments Download

Messages

Total messages: 22 (8 generated)
yosin_UTC9
PTAL
4 years, 3 months ago (2016-05-27 04:10:44 UTC) #3
yoichio
https://codereview.chromium.org/2016173002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/unlink.html File third_party/WebKit/LayoutTests/editing/execCommand/unlink.html (right): https://codereview.chromium.org/2016173002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/unlink.html#newcode29 third_party/WebKit/LayoutTests/editing/execCommand/unlink.html:29: '^<div contenteditable><img src="../resources/abe.png"></div>', It is not '<div contenteditable>^<img src="../resources/abe.png">|</div>' ...
4 years, 3 months ago (2016-05-27 09:14:39 UTC) #5
yosin_UTC9
PTAL https://codereview.chromium.org/2016173002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/unlink.html File third_party/WebKit/LayoutTests/editing/execCommand/unlink.html (right): https://codereview.chromium.org/2016173002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/unlink.html#newcode29 third_party/WebKit/LayoutTests/editing/execCommand/unlink.html:29: '^<div contenteditable><img src="../resources/abe.png"></div>', On 2016/05/27 at 09:14:39, yoichio ...
4 years, 3 months ago (2016-05-27 09:54:17 UTC) #7
yosin_UTC9
On 2016/05/27 at 09:54:17, Yosi_UTC9 wrote: > PTAL > > https://codereview.chromium.org/2016173002/diff/1/third_party/WebKit/LayoutTests/editing/execCommand/unlink.html > File third_party/WebKit/LayoutTests/editing/execCommand/unlink.html (right): ...
4 years, 3 months ago (2016-05-30 01:32:42 UTC) #8
yoichio
https://codereview.chromium.org/2016173002/diff/20001/third_party/WebKit/LayoutTests/editing/assert_selection.js File third_party/WebKit/LayoutTests/editing/assert_selection.js (left): https://codereview.chromium.org/2016173002/diff/20001/third_party/WebKit/LayoutTests/editing/assert_selection.js#oldcode422 third_party/WebKit/LayoutTests/editing/assert_selection.js:422: if (element.parenNode === this.selection_.focusNode && The strict mode can't ...
4 years, 3 months ago (2016-05-30 02:08:37 UTC) #9
yosin_UTC9
PTAL Verified with May 30's version of assert_selection()
4 years, 3 months ago (2016-05-30 10:06:28 UTC) #10
yoichio
Please git cl try
4 years, 3 months ago (2016-05-31 01:54:01 UTC) #11
commit-bot: I haz the power
Dry run: CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2016173002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2016173002/40001
4 years, 3 months ago (2016-05-31 01:55:18 UTC) #13
commit-bot: I haz the power
Dry run: This issue passed the CQ dry run.
4 years, 3 months ago (2016-05-31 02:58:40 UTC) #15
yosin_UTC9
PTAL Try bots succeeded.
4 years, 3 months ago (2016-05-31 03:54:23 UTC) #16
yoichio
lgtm
4 years, 3 months ago (2016-05-31 05:53:30 UTC) #17
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/2016173002/40001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/2016173002/40001
4 years, 3 months ago (2016-05-31 06:03:34 UTC) #19
commit-bot: I haz the power
Committed patchset #3 (id:40001)
4 years, 3 months ago (2016-05-31 06:07:51 UTC) #20
commit-bot: I haz the power
4 years, 3 months ago (2016-05-31 06:09:41 UTC) #22
Message was sent while issue was closed.
Patchset 3 (id:??) landed as
https://crrev.com/786659dee62e423b2a5f7f88ce8a087e8de18986
Cr-Commit-Position: refs/heads/master@{#396791}

Powered by Google App Engine
This is Rietveld 408576698